import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as Storyname from "./overview.stories";

<Meta of={Storyname} name="Docs" />

# Overview

E-Catalog Overview Template

<Canvas of={Storyname.Default}></Canvas>

# JSON API Response

The URL should respond to GET requests with a JSON. The JSON should contain all texts in the target language.

This is how the data structure should look:

```
{
    "nextPage": "The url of the endpoint to load the next set of results",
    "totalCount": "The total count of elements found",
    "timeFormat": "The configuration string for the display of the date element",
    "buttonHTML": "The HTML of the call to action button to be presented to the user",
    "items": [
        {
            "fileName": "The name of the file",
            "status": {
            "type": "one of the following: open, canceled, in_process, partially_completed, completed",
            "text": "Translated text of the status to be shown to the user"
            },
            "dateOfRequest": "The date of the request",
            "availability": "The availability period",
            "downloadLink": "The download link"
        },
        { ...other elements }
    ],
    "messages": {
        "noDataHeadline" : "The headline of the template when there is no data",
        "noDataText": "The copy text of the template when there is no data"
    }
}

```

## Data Controller

The data controller takes care of requesting data asynchronously from the API
and controls lazy-loading of further results.
